__gnu_cxx::forced_error(3cxx)

NAME
__gnu_cxx::forced_error - Thrown by utilities for testing exception safety.

SYNOPSIS

Inherits std::exception.

  Public Member Functions

virtual const char * what () const noexcept

Detailed Description

Thrown by utilities for testing exception safety.

Member Function Documentation

  virtual const char* std::exception::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_optional_access, std::bad_typeid, std::bad_cast, std::bad_exception, std::runtime_error, std::logic_error, std::future_error, std::experimental::filesystem::v1::filesystem_error, std::experimental::fundamentals_v1::bad_any_cast, std::bad_function_call, std::bad_weak_ptr, std::filesystem::filesystem_error, std::bad_any_cast, std::bad_alloc, and std::ios_base::failure.

Author

Generated automatically by Doxygen for libstdc++ from the source code.